<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dsk.cscec.mapper.FSupplierLimitedMapper">

    <select id="selectPageSupplierLimitedList" resultType="com.dsk.cscec.domain.vo.SupplierLimitedSearchVo">
        select fsl.fid,
               fsl.frecordno,
               fsl.fsuppliername,
               fsl.funifiedsocialcreditcode,
               fsl.flimitsituation,
               fsl.fdisablesituation,
               fsl.fjobunitname,
               fsl.fstate,
               fsl.fts
        from f_supplier_limited fsl
            ${ew.getCustomSqlSegment}
    </select>

    <select id="selectPageSupplierUnlimitedList" resultType="com.dsk.cscec.domain.vo.SupplierUnlimitedSearchVo">
        select fsl.fid,
               fsl.frecordno,
               fsl.fsuppliername,
               fsl.funifiedsocialcreditcode,
               fsl.frelievereason,
               fsl.fjobunitname,
               fsl.fbeforestate,
               fsl.flimitdate,
               fsl.fts
        from f_supplier_limited fsl
            ${ew.getCustomSqlSegment}
    </select>
</mapper>

